package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @Description: 分配班级参数
 * @Author: CaoZixuan
 * @Date: 2024-03-07
 */
public class AssignClazzParam {
    @ApiModelProperty("教学课程id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "缺少教学课程")
    @Range(min = 1L, message = "缺少教学课程")
    private Long teachCourseId;

    @ApiModelProperty("教师id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "请选择教师")
    @Range(min = 1L, message = "请选择教师")
    private Long teacherId;

    @ApiModelProperty("班级集合")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotEmpty(message = "请选择班级")
    @Size(min = 1, message = "请选择班级")
    private List<Long> clazzIdList;

    public Long getTeachCourseId() {
        return teachCourseId;
    }

    public void setTeachCourseId(Long teachCourseId) {
        this.teachCourseId = teachCourseId;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public List<Long> getClazzIdList() {
        return clazzIdList;
    }

    public void setClazzIdList(List<Long> clazzIdList) {
        this.clazzIdList = clazzIdList;
    }
}
